# Contributing

I use a [board]( https://gitlab.com/tychosoft/bordeaux/-/boards) on
[gitlab](https://gitlab.com/tychosoft/bordeaux) to manage this project. When
contributing to this project, please create an issue and label it
appropriately, whether as a feature, a task, or a bug. A feature or task should
be discussed first, and new features in particular should also be assigned to a
[milestone](https://gitlab.com/tychosoft/bordeaux/-/milestones). New ideas
and other project information can be found in the project
[wiki](https://gitlab.com/tychosoft/bordeaux/-/wikis/home).

## Merge Requests

1. Your working branch should begin with or simply be the issue number. This
   assures that when the branch is merged, the matching issue is closed.

2. Make sure all [merge requests](https://gitlab.com/tychosoft/bordeaux/-/merge_requests) do have a matching issue of some type.

3. Place the associated issue in the Doing state when you start to work on it.

4. Update appropriate documentation as needed for any new change. At minimum,
   please update CHANGELOG.md, at least for new features.

5. I prefer to squash merges. To keep the repository clean, please also mark
   completed merges for deletion.

6. All merge requests are tested in a [CI pipeline](https://gitlab.com/tychosoft/bordeaux/-/pipelines) running Alpine. All merges are expected to pass.

## Sprints

I organize sprints around
[milestones](https://gitlab.com/tychosoft/bordeaux/-/milestones), as the
outcome of a sprint should be a new releasable unit of work. The duration of a
sprint is completion based.

## Code of Conduct

Be excellent to each other.  Don't be the asshole.

